###### R popt (posouzen normality)######

setwd("C:/Users/Navratil/Documents/R")
# setwd("C:/Users/uivatel/Documents/R") # cesta pro koln PC

library(readxl)

data <- read_excel("C:/Users/Navratil/Documents/Navratil/ZF/Statistika/data1.xlsx")
# data <- read_excel("E:/R/data1.xlsx") # cesta k datm na Vaich flekch

# Nejprve je teba se podvat na histogram (viz pedchoz lekce - zkuste sami)

####Q-Q plot####
# Okometrick posouzen normality pomoc Q-Q grafu funkc qqnorm() a proloen linie 
# normlnho rozdlen funkc qqline().
# Testujeme promnnou pH1.

qqnorm(data$pH1, pch = 1, main="Q-Q plot") # atribut pch uruje symbol (1=koleko)

qqline(data$pH1, col = "red", lwd = 1) # atribut lwd udv ku ry

####ikmost a piatost####
# Nejprve je teba nainstalovat package e1071

library(e1071)

# Pro ikmost bude pouito funkce skewness

skewness(data$pH1)

# vsledn hodnota je 0.5244, jej rozdl od normality lze testovat - vzorec s tabulkou kritickch hodnot je zde:
# http://mvpprograms.com/help/mvpstats/distributions/SkewnessCriticalValues
# Pro alfa 95% (p=0.05) je kritick hodnota piblin 1.03 (mm 21 men a ne 20, take k.h. bude o fous men),
# 0.5244 je vrazn men ne 1.03, H0 nemohu zamtnout a tedy pH1 nen ikm

# Pro piatost bude pouito funkce kurtosis

kurtosis(data$pH1)

# vsledn hodnota je -1.0814 (je zporn = rozdlen smuje k plochosti), jej rozdl od normality lze
# testovat - vzorec s tabulkou kritickch hodnot je zde:
# http://mvpprograms.com/help/mvpstats/distributions/KurtosisCriticalValues
# Pro alfa 95% (p=0.05) je kritick hodnota piblin -1.27 (mm 21 men a ne 20, take k.h. bude o fous vt),
# -1.0814 je men (v absolutn hodnot) ne -1.27, H0 nemohu zamtnout a tedy pH1 nen ploch

####Shapiro-Wilks test normality####
# Zkladem testu je porovnn mch dat s teoretickmi hodnotami mch hodnot, kdyby tytomly normln rozdlen,
# testuje se tedy rozdl mch dat od normlnho rozdlen
# H0: nen rozdl mezi rozdlenm mch dat a normlnm rozdlenm
# hladina vznamnosti alfa = 95% (p=0.05) 

shapiro.test(data$pH1)

# W=0.918 a p = 0.08
# p je vt ne 0.05 (je 92%) a tedy H0 nemohu zamtnout = rozdl mezi mmi daty a normlnm rozdlenm nen